%define         oversion 4.0.5

%define         pkgversion Firebird-%{version}-0

%define         somajor           2
%define         libfbclient       %mklibname fbclient %{somajor}
%define         libfbclient_devel %mklibname fbclient -d

Summary:        Firebird SQL database management system
Name:           firebird
Version:        %{oversion}.3140
Release:        %mkrel 2
Group:          Databases
License:        MPLv1.1-like
URL:            https://www.firebirdsql.org/
Source0:        https://github.com/FirebirdSQL/firebird/releases/download/v%{oversion}/%{pkgversion}.tar.xz
Source1:        firebird-logrotate
Source2:        README.Mageia
Source3:        firebird.service
Source4:        fb_config

# from OpenSuse
Patch101:       add-pkgconfig-files.patch

# from Debian to be sent upstream
Patch203:       no-copy-from-icu.patch
Patch205:       cloop-honour-build-flags.patch

# from upstream
Patch301:       c++17.patch
Patch302:       noexcept.patch

BuildRequires:  pkgconfig(libtommath)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  libtermcap-devel
BuildRequires:  icu-devel
BuildRequires:  pkgconfig(libedit)
BuildRequires:  libstdc++-static-devel
BuildRequires:  pkgconfig(atomic_ops)
BuildRequires:  chrpath
BuildRequires:  pkgconfig(zlib)
BuildRequires:  procmail
BuildRequires:  pkgconfig(libtomcrypt)
BuildRequires:  unzip
BuildRequires:  sed

Requires(post):   systemd >= %{systemd_required_version}
Requires(pre):    rpm-helper
Requires(postun): rpm-helper

Requires:       %{libfbclient} = %{version}-%{release}
Requires:       libib-util = %{version}-%{release}
Requires:       %{name}-utils = %{version}-%{release}

%description
Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package devel
Group:          Development/Databases
Requires:       %{name} = %{version}-%{release}
Summary:        UDF support library for Firebird SQL server

%description devel
This package is needed for development of client applications and user
defined functions (UDF) for Firebird SQL server.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package -n libib-util
Group:          System/Libraries
Summary:        Firebird SQL UDF support library

%description -n libib-util
libib_util contains utility functions used by
User-Defined Functions (UDF) for memory management etc.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package -n %{libfbclient}
Group:          System/Libraries
Summary:        Firebird SQL server client library

%description -n %{libfbclient}
Shared client library for Firebird SQL server.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package -n %{libfbclient_devel}
Group:          System/Libraries
Summary:        Development libraries and headers for Firebird SQL server
Requires:       %{name}-devel = %{version}-%{release}
Requires:       %{libfbclient} = %{version}-%{release}

%description -n %{libfbclient_devel}
Development files for Firebird SQL server client library.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package doc
Group:          Databases
Requires:       %{name} = %{version}-%{release}
Summary:        Documentation for Firebird SQL server
BuildArch:      noarch

%description doc
Documentation for Firebird SQL server.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package utils
Group:          Databases
Requires:       %{libfbclient} = %{version}-%{release}
Summary:        Firebird SQL user utilities

%description utils
Firebird SQL user utilities.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package examples
Group:          Databases
Requires:       %{name}-doc = %{version}-%{release}
Summary:        Examples for Firebird SQL server
BuildArch:      noarch

%description examples
Examples for Firebird SQL server.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%prep
%autosetup -p1 -n %{pkgversion}

%build
export CXXFLAGS="%{optflags} -fno-delete-null-pointer-checks"
NOCONFIGURE=1 ./autogen.sh
%configure --disable-rpath --prefix=%{_prefix} \
  --with-system-editline \
  --with-fbbin=%{_bindir} --with-fbsbin=%{_sbindir} \
  --with-fbconf=%{_sysconfdir}/%{name} \
  --with-fblib=%{_libdir} --with-fbinclude=%{_includedir} \
  --with-fbdoc=%{_defaultdocdir}/%{name} \
  --with-fbsample=%{_defaultdocdir}/%{name}/sample \
  --with-fbsample-db=%{_sharedstatedir}/%{name}/data \
  --with-fbhelp=%{_sharedstatedir}/%{name}/system \
  --with-fbintl=%{_libdir}/%{name}/intl \
  --with-fbmisc=%{_datadir}/%{name}/misc \
  --with-fbsecure-db=%{_sharedstatedir}/%{name}/secdb \
  --with-fbmsg=%{_sharedstatedir}/%{name}/system \
  --with-fblog=%{_logdir}/%{name} \
  --with-fbglock=%{_rundir}/%{name} \
  --with-fbplugins=%{_libdir}/%{name}/plugins \
  --with-fbtzdata=%{_sharedstatedir}/%{name}/tzdata

%make_build
cd gen
sed -i '/linkFiles "/d' ./install/makeInstallImage.sh
./install/makeInstallImage.sh
chmod -R u+w buildroot%{_docdir}/%{name}

%install
chmod u+rw,a+rx gen/buildroot/%{_includedir}/firebird/impl
cp -r gen/buildroot/* ${RPM_BUILD_ROOT}/
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig
cp -v gen/install/misc/*.pc ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig/

cd ${RPM_BUILD_ROOT}
rm -vf .%{_sbindir}/*.sh
mv -v .%{_sbindir}/fb_config .%{_libdir}/
install -p -m 0755 %{SOURCE4} %{buildroot}%{_sbindir}/fb_config
rm -vf .%{_includedir}/perf.h
rm -vf .%{_libdir}/libicu*.so
chmod -R u+w .%{_docdir}/%{name}
mv -v .%{_datadir}/%{name}/misc/upgrade/udf/* .%{_docdir}/%{name}/
rm -rvf .%{_datadir}/%{name}/misc
mv -v .%{_sysconfdir}/%{name}/README.md .%{_sysconfdir}/%{name}/CHANGELOG.md \
  .%{_docdir}/%{name}/
mv -v .%{_sysconfdir}/%{name}/IDPLicense.txt .%{_docdir}/%{name}/
mv -v .%{_sysconfdir}/%{name}/IPLicense.txt .%{_docdir}/%{name}/
install -p -m 0644 -D %{SOURCE2} .%{_docdir}/%{name}/README.Mageia
mv -v .%{_bindir}/gstat .%{_bindir}/gstat-fb
mv -v .%{_bindir}/isql .%{_bindir}/isql-fb
rm -rvf .%{_defaultdocdir}/%{name}/sample/prebuilt

mkdir -p .%{_logdir}/%{name}
mkdir -p .%{_sysconfdir}/logrotate.d
echo 1 > .%{_logdir}/%{name}/%{name}.log
sed "s@%{name}.log@%{_logdir}/%{name}/%{name}.log@g" %{SOURCE1} > .%{_sysconfdir}/logrotate.d/%{name}

mkdir -p .%{_unitdir}
cp -f %{SOURCE3} .%{_unitdir}/%{name}.service


%pre
# Create the firebird user and group if it doesn't exist
%_pre_useradd %{name} %{_sharedstatedir}/%{name}/data /sbin/nologin

# Add gds_db to /etc/services if needed
FileName=/etc/services
newLine="gds_db 3050/tcp  # Firebird SQL Database Remote Protocol"
oldLine=`grep "^gds_db" $FileName`
if [ -z "$oldLine" ]; then
 echo $newLine >> $FileName
fi


%post
%_post_service %{name}


%preun
%_preun_service %{name}


%files
%{_docdir}/%{name}/IDPLicense.txt
%{_docdir}/%{name}/IPLicense.txt
%{_docdir}/%{name}/README.Mageia
%{_bindir}/fbtracemgr
%{_sbindir}/firebird
%{_sbindir}/fbguard
%{_sbindir}/fb_lock_print
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/databases.conf
%config(noreplace) %{_sysconfdir}/%{name}/fbtrace.conf
%config(noreplace) %{_sysconfdir}/%{name}/firebird.conf
%config(noreplace) %{_sysconfdir}/%{name}/plugins.conf
%config(noreplace) %{_sysconfdir}/%{name}/replication.conf
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_libdir}/%{name}/intl
%{_libdir}/%{name}/plugins

%dir %{_sharedstatedir}/%{name}
%dir %attr(0700,%{name},%{name}) %{_sharedstatedir}/%{name}/secdb
%dir %attr(0700,%{name},%{name}) %{_sharedstatedir}/%{name}/data
%dir %attr(0755,%{name},%{name}) %{_sharedstatedir}/%{name}/system
%dir %attr(0755,%{name},%{name}) %{_sharedstatedir}/%{name}/tzdata
%attr(0600,firebird,firebird) %config(noreplace) %{_sharedstatedir}/%{name}/secdb/security4.fdb
%attr(0644,firebird,firebird) %{_sharedstatedir}/%{name}/system/help.fdb
%attr(0644,firebird,firebird) %{_sharedstatedir}/%{name}/system/firebird.msg
%attr(0644,firebird,firebird) %{_sharedstatedir}/%{name}/tzdata/*.res
%ghost %dir %attr(0775,%{name},%{name}) %{_rundir}/%{name}
%ghost %attr(0644,%{name},%{name}) %{_rundir}/%{name}/fb_guard
%dir %{_logdir}/%{name}
%config(noreplace) %attr(0664,%{name},%{name})  %{_logdir}/%{name}/%{name}.log
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/logrotate.d/%{name}

%attr(0644,root,root) %{_unitdir}/%{name}.service


%files devel
%{_includedir}/*.h
%{_includedir}/%{name}
%{_libdir}/fb_config
%{_sbindir}/fb_config


%files -n %{libfbclient}
%{_libdir}/libfbclient.so.%{somajor}
%{_libdir}/libfbclient.so.%{oversion}

%files -n %{libfbclient_devel}
%{_libdir}/libfbclient.so
%{_libdir}/pkgconfig/fbclient.pc


%files -n libib-util
%{_libdir}/libib_util.so


%files doc
%{_docdir}/%{name}
%exclude %{_docdir}/%{name}/sample
%exclude %{_docdir}/%{name}/IDPLicense.txt
%exclude %{_docdir}/%{name}/IPLicense.txt


%files utils
%{_bindir}/gstat-fb
%{_bindir}/fbsvcmgr
%{_bindir}/gbak
%{_bindir}/gfix
%{_bindir}/gpre
%{_bindir}/gsec
%{_bindir}/isql-fb
%{_bindir}/nbackup
%{_bindir}/qli
%{_bindir}/gsplit


%files examples
%{_docdir}/%{name}/sample
%attr(0660,%{name},%{name}) %{_sharedstatedir}/%{name}/data/employee.fdb



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 4.0.5.3140-2.mga10
+ Revision: 2227906
- Mageia 10 Mass Rebuild

* Mon Sep 23 2024 daviddavid <daviddavid> 4.0.5.3140-1.mga10
+ Revision: 2100646
- new version: 4.0.5.3140

* Thu Nov 09 2023 philippem <philippem> 4.0.4.3010-1.mga10
+ Revision: 2005300
- Update to 4.0.4

* Wed Nov 01 2023 daviddavid <daviddavid> 4.0.3.2975-1.mga10
+ Revision: 2003339
- new version 4.0.3.2975

* Wed Aug 17 2022 philippem <philippem> 4.0.2.2816-1.mga9
+ Revision: 1878302
- new version 4.0.2.2816

* Fri May 27 2022 wally <wally> 4.0.1.2692-1.mga9
+ Revision: 1860478
- new version 4.0.1.2692
- fix post and preun scriptlet service file name

* Thu May 26 2022 wally <wally> 4.0.0.2496-3.mga9
+ Revision: 1860414
- drop postun scriplet doing actually nothing
- drop unneeded tmpfiles post scriptlet

* Sat Apr 02 2022 umeabot <umeabot> 4.0.0.2496-2.mga9
+ Revision: 1840406
- Mageia 9 Mass Rebuild

* Sat Jun 12 2021 wally <wally> 4.0.0.2496-1.mga9
+ Revision: 1730463
- drop old obsoletes and conflicts
+ philippem <philippem>
- New upstream version 4.0.0.2496-0

* Fri Oct 23 2020 philippem <philippem> 3.0.7.33374-1.mga8
+ Revision: 1638920
- remove no longer needed patch
- remove no longer needed patch
- new upstream release 3.0.7

* Sun Aug 23 2020 guillomovitch <guillomovitch> 3.0.6.33328-2.mga8
+ Revision: 1618084
- replace all occurences of /var/run in systemd unit file

* Wed Jul 08 2020 philippem <philippem> 3.0.6.33328-1.mga8
+ Revision: 1602962
- New upstream release 3.0.6

* Wed Feb 19 2020 umeabot <umeabot> 3.0.5.33220-2.mga8
+ Revision: 1543947
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 philippem <philippem> 3.0.5.33220-1.mga8
+ Revision: 1482507
- update to new release 3.0.5.33220
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 guillomovitch <guillomovitch> 3.0.4.33054-7.mga8
+ Revision: 1476595
- drop implicit build dependencies
- fix systemd unit (#25847)

* Sat Mar 16 2019 guillomovitch <guillomovitch> 3.0.4.33054-6.mga7
+ Revision: 1378013
- update tmpfiles configuration to use /run instead of /var/run

* Sun Feb 17 2019 wally <wally> 3.0.4.33054-5.mga7
+ Revision: 1367858
- use /run instead of /var/run

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.0.4.33054-4.mga7
+ Revision: 1346092
- rebuild for icu

* Thu Nov 22 2018 philippem <philippem> 3.0.4.33054-3.mga7
+ Revision: 1333353
- update to new release 3.0.4

* Sun Sep 23 2018 umeabot <umeabot> 3.0.3.32900-3.mga7
+ Revision: 1297702
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 wally <wally> 3.0.3.32900-2.mga7
+ Revision: 1235182
- fix build on aarch64

* Wed Feb 28 2018 philippem <philippem> 3.0.3.32900-1.mga7
+ Revision: 1205695
- adapt patch to new upstream release
- new upstream release.

* Mon Oct 16 2017 cjw <cjw> 3.0.2.32703-2.mga7
+ Revision: 1172266
- build with -fno-delete-null-pointer-checks to prevent crashes

* Sun Aug 06 2017 philippem <philippem> 3.0.2.32703-1.mga7
+ Revision: 1137943
- update to 3.0.2

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 3.0.1.32609-4.mga6
+ Revision: 1092698
- Rebuild for icu-58.2

* Mon Feb 20 2017 luigiwalser <luigiwalser> 3.0.1.32609-3.mga6
+ Revision: 1086981
- rediff patch from opensuse to fix security issue (boo#1023990)

* Tue Oct 04 2016 philippem <philippem> 3.0.1.32609-2.mga6
+ Revision: 1058399
- change perms

* Tue Sep 27 2016 philippem <philippem> 3.0.1.32609-1.mga6
+ Revision: 1057155
- remove no longer need patch
- update to 3.0.1.32609
- change wrong permissions on firebird.msg and help.fdb

* Wed Jun 01 2016 philippem <philippem> 3.0.0.32483-3.mga6
+ Revision: 1019740
- Can't use %%make_build as it seems that sometimes parallel build is broken

* Sat May 14 2016 shlomif <shlomif> 3.0.0.32483-2.mga6
+ Revision: 1015271
- Rebuild for the new UCI (new major)
+ tv <tv>
- use std macros for building

* Fri Apr 15 2016 philippem <philippem> 3.0.0.32483-1.mga6
+ Revision: 1002345
- update to stable upstream release 3.0.0.32483

* Mon Apr 11 2016 philippem <philippem> 3.0.0.32366-6.mga6
+ Revision: 1000307
- change includedir
- change includedir

* Sat Apr 09 2016 wally <wally> 3.0.0.32366-5.mga6
+ Revision: 999917
- don't obsolete old libs as it defeats the purpose of the libification

* Sat Apr 09 2016 philippem <philippem> 3.0.0.32366-4.mga6
+ Revision: 999884
- rebuild for new libtommath

* Fri Apr 08 2016 philippem <philippem> 3.0.0.32366-3.mga6
+ Revision: 999459
- obsoletes old utils
- add a comment about tommath headers

* Fri Apr 08 2016 philippem <philippem> 3.0.0.32366-2.mga6
+ Revision: 999450
- use underscore in macro
- use curly brackets
- use curly brackets
- use macro to follow policy for libfbclient

* Fri Apr 08 2016 philippem <philippem> 3.0.0.32366-1.mga6
+ Revision: 999441
- try to fix tommath.h path
- update to 3.0.0.32366 (RC2) to test before Final in few days

* Mon Jan 11 2016 luigiwalser <luigiwalser> 2.5.5.26952-3.mga6
+ Revision: 921714
- add upstream patch to fix CVE-2016-1569

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.5.5.26952-2.mga6
+ Revision: 917832
- rebuild for icu

* Thu Nov 19 2015 philippem <philippem> 2.5.5.26952-1.mga6
+ Revision: 904235
- update to 2.5.5

* Fri Jul 24 2015 cjw <cjw> 2.5.4.26856-2.mga6
+ Revision: 856862
- rebuild for icu 55

* Tue Jul 14 2015 philippem <philippem> 2.5.4.26856-1.mga6
+ Revision: 853771
- update to 2.5.4

* Thu Dec 04 2014 philippem <philippem> 2.5.3.26778-4.mga5
+ Revision: 801421
- security fix firebird CORE-4630

* Wed Oct 15 2014 umeabot <umeabot> 2.5.3.26778-3.mga5
+ Revision: 750931
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.3.26778-2.mga5
+ Revision: 679200
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 philippem <philippem> 2.5.3.26778-1.mga5
+ Revision: 655029
- update to 2.5.3

* Fri Apr 04 2014 luigiwalser <luigiwalser> 2.5.2.26540-4.mga5
+ Revision: 611745
- rebuild for icu

* Sat Dec 07 2013 philippem <philippem> 2.5.2.26540-3.mga4
+ Revision: 555804
- fix fail build if -Werror=format-security flag is used

* Mon Oct 21 2013 umeabot <umeabot> 2.5.2.26540-2.mga4
+ Revision: 537326
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 fwang <fwang> 2.5.2.26540-1.mga4
+ Revision: 486781
- new version 2.5.2-26540
+ philippem <philippem>
- switch to systemd remove xinetd
- switch to systemd remove xinetd

* Sun May 26 2013 fwang <fwang> 2.5.2.26539-9.mga4
+ Revision: 427928
- rebuild for new icu

* Sun Mar 24 2013 colin <colin> 2.5.2.26539-8.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Mar 10 2013 philippem <philippem> 2.5.2.26539-7.mga3
+ Revision: 402056
- Security update CVE-2013-2492 Mageia bug #9322

* Mon Jan 14 2013 luigiwalser <luigiwalser> 2.5.2.26539-6.mga3
+ Revision: 380319
- add tmpfiles config for /run/firebird

* Fri Jan 11 2013 umeabot <umeabot> 2.5.2.26539-5.mga3
+ Revision: 350370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 rtp <rtp> 2.5.2.26539-4.mga3
+ Revision: 335687
- add missing build-dep

* Fri Dec 14 2012 philippem <philippem> 2.5.2.26539-3.mga3
+ Revision: 331006
- patch from upstream to fix init script Firebird CORE-4011 and RH #886578

* Sun Nov 11 2012 philippem <philippem> 2.5.2.26539-2.mga3
+ Revision: 316961
- add upstream patch for ICU

* Sat Nov 10 2012 fwang <fwang> 2.5.2.26539-1.mga3
+ Revision: 316827
- update file list
- new version 2.5.2

* Fri Nov 09 2012 fwang <fwang> 2.5.1.26351.0-6.mga3
+ Revision: 316638
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 2.5.1.26351.0-5.mga3
+ Revision: 314766
- rebuild for new icu

* Wed May 30 2012 fwang <fwang> 2.5.1.26351.0-4.mga3
+ Revision: 249621
- rebuild for new icu

* Sun Jan 08 2012 philippem <philippem> 2.5.1.26351.0-3.mga2
+ Revision: 193283
- Update to 2.5.1.26351.0.

* Wed Oct 05 2011 philippem <philippem> 2.5.1.26349.0-3.mga2
+ Revision: 152173
- rename firebird.mdv.releasenote

* Tue Oct 04 2011 philippem <philippem> 2.5.1.26349.0-2.mga2
+ Revision: 151526
- update README.urpmi

* Thu Sep 29 2011 philippem <philippem> 2.5.1.26349.0-1.mga2
+ Revision: 150321
- new upstream

* Mon Jun 20 2011 fwang <fwang> 2.5.0.26074.0-2.mga2
+ Revision: 110323
- rebuild for new icu

* Fri Apr 22 2011 philippem <philippem> 2.5.0.26074.0-1.mga1
+ Revision: 89679
-Fix rh #697313 with backport mainstream patch CORE-3447 (icu > 4.2)

* Thu Jan 20 2011 philippem <philippem> 2.5.0.26074.0-0.mga1
+ Revision: 25828
- Cleaning was too deep add %%define Werror_cflags %%nil
- imported package firebird
+ spuhler <spuhler>
- removed
  mdkversion < 200900
  post -p /sbin/ldconfig
  endif
- removed or commented the if mdkversion lines


* Wed Dec 22 2010 makowski <makowski> 2.5.0.26074.0-0mdv2011.0
+ Revision: 623855
- new upstream
- new upstream

* Sun Dec 05 2010 oden <oden> 2.1.3.18185.0-7mdv2011.0
+ Revision: 610426
- rebuild

* Wed Mar 24 2010 makowski <makowski> 2.1.3.18185.0-6mdv2010.1
+ Revision: 527170
- build with last upstream
- Fix rh #563461
- Fix mdv #58305

* Tue Aug 11 2009 makowski <makowski> 2.1.3.18185.0-5mdv2010.0
+ Revision: 415207
- fix post and pre\
- make sure that firebird user is created for classic

* Tue Aug 11 2009 makowski <makowski> 2.1.3.18185.0-4mdv2010.0
+ Revision: 414734
- added correct Requires(pre)

* Sun Aug 09 2009 makowski <makowski> 2.1.3.18185.0-3mdv2010.0
+ Revision: 412354
- remove incorrect groupadd

* Sat Aug 08 2009 makowski <makowski> 2.1.3.18185.0-2mdv2010.0
+ Revision: 411790
- correct setuid for Classic lock manager

* Wed Aug 05 2009 makowski <makowski> 2.1.3.18185.0-1mdv2010.0
+ Revision: 410289
- fix superserver init script
- avoid conflict with gstat from ganglia
- remove stupid rm -Rf in postun
- using good macros

* Wed Jul 29 2009 makowski <makowski> 2.1.3.18185.0-0mdv2010.0
+ Revision: 403725
- major cleaning install process to take care of the two architectures (Classic and Superserver) the right way
- fix #36038
- update to new upstream fix #52505
- better fix #50101 and #45263 (user firebird created with nologin)
- fix #28542
- fix #34265 (change chkconfig: 345 20 80 to chkconfig: 345 80 20)

* Mon Apr 20 2009 oden <oden> 2.1.2.18118.0-2mdv2009.1
+ Revision: 368462
- fix #50101 (user firebird created with nologin)

* Fri Apr 10 2009 oden <oden> 2.1.2.18118.0-1mdv2009.1
+ Revision: 365909
- 2.1.2.18118-0
- disable the -Werror=format-security flags

* Fri Jul 18 2008 oden <oden> 2.1.1.17910.0-1mdv2009.0
+ Revision: 238144
- 2.1.1.17910-0
- rediff the patches
- build it against system icu and edit libs

  + pixel <pixel>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 14 2008 cabral <cabral> 2.0.4.13130.1-1mdv2009.0
+ Revision: 207344
- Update to version 2.0.4.13130.
- Changes on summary of the package.

* Tue Mar 11 2008 salem <salem> 2.0.3.12981.0-2mdv2008.1
+ Revision: 186539
- Fix initscript and create /etc/gds_hosts.equiv on %%post to fix bug #34267
- bump release

  + blino <blino>
    - restore BuildRoot

  + tv <tv>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 13 2007 mrl <mrl> 2.0.3.12981.0-1mdv2008.0
+ Revision: 84989
- New upstream: 2.0.3.12981, fixing an annoying bug.

* Fri Aug 24 2007 mrl <mrl> 2.0.2.12964.0-3mdv2008.0
+ Revision: 71056
- New upstream: 2.0.2

* Fri Aug 17 2007 fwang <fwang> 2.0.1.12855.0-3mdv2008.0
+ Revision: 64705
- fix obsoletes old package

* Wed Aug 15 2007 fwang <fwang> 2.0.1.12855.0-2mdv2008.0
+ Revision: 63722
- Fix file conflict

* Wed May 09 2007 mrl <mrl> 2.0.1.12855.0-1mdv2008.0
+ Revision: 25665
- New upstream: 2.0.1
- Removed patch amd64: applied upstream.


* Fri Jan 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.12748-8mdv2007.0
+ Revision: 110615
- Improve firebird-classic and firebird-superserver summaries in order
  to explicit their difference: xinetd and standalone.

* Fri Nov 24 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.12748-7mdv2007.1
+ Revision: 86946
- Added /var/lib/firebird and /var/lib/firebird/backup to server-common
  package.

* Thu Nov 16 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.12748-6mdv2007.1
+ Revision: 84834
- Try libncurses-devel instead
- Added buildrequires to libncurses5-devel
- New upstream: 2.0.0.12748 (2.0.0 final)
- Fully disabled parallel build, as it is broken for now.
- Bumped release, in order to be able to rebuild for x86_64.
- Added missing BuildRequires to libtermcap-devel, as required by included
  readline.

* Wed Sep 13 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.12724-4mdv2007.0
+ Revision: 61079
- Added Conflicts in firebird-server-common to firebird-firebird-server-classic
  < 2.0 due to moved files.
- Fix binaries ownership in firebird-server-classic. They should be owned by
  root:root and not firebird:firebird.

* Wed Sep 06 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.12724-3mdv2007.0
+ Revision: 59998
- Applied Philippe Makowski suggestions:
  * Include example employee.fdb
  * -devel should requires libfbclient
  * Tagged security2.fdb as config.

* Tue Sep 05 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.12724-2mdv2007.0
+ Revision: 59875
- Disabled parallel build: it's broken.
- Import firebird

* Sat Sep 02 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.12724-1mdv2007.0
- Major packaging restructuring, following debian style.
- Enabled superserver flavor.
- Enhanced pre/post sections.
- Do not remove firebird user on package removal: we may leave some files on
  the filesystem.

* Thu Aug 24 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 2.0.0.12724-0.1mdk
- Update to Firebird2

* Tue Jul 26 2005 Stew Benedict <sbenedict@mandriva.com> 1.5.2.4731-0.3mdk
- fix provides in lib package

* Fri Jan 28 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2.4731-0.2mdk
- add deps
- little spec cleaning

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2.4731-0.1mdk
- from Philippe Makowski <makowski@firebird-fr.eu.org> :
	- adapted to Mandrake
	- updated from the CVS tree
- libification
- bzip2 patches
- use configure macros
- requires on versions not on releases

* Wed Aug 18 2004 Erik S. LaBianca <erik@ilsw.com> - 1.5.1.4481-0.fdr.1
- updated to 1.5.1 official source release
- minimized install patch intrusiveness, move files in .spec file instead
- don't try to remove the user/group on install, just leave the mess

* Wed Feb 04 2004 Erik S. LaBianca <erik@ilsw.com> - 1.5.0.4280-postRC8.1
- updated to CVS code
- remove lock files from post/postun
- set target arch to match prefix.linux settings
- add dependencies to firebird RPM

* Tue Feb 03 2004 Erik S. LaBianca <erik@ilsw.com> - 1.5.0.4201-1
- updated to RC8 code
- added gds_db service entry to /etc/services if necessary in post
- fix isql link

